[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# SearchBuf

Search a buffer for a certain string.

## Declaration

Source position: line 0

`function SearchBuf(`
`Buf: PChar;`
`BufLen: Integer;`
`SelStart: Integer;`
`SelLength: Integer;`
`SearchString: String;`
`Options: TStringSearchOptions`
`):PChar; function SearchBuf(`
`Buf: PChar;`
`BufLen: Integer;`
`SelStart: Integer;`
`SelLength: Integer;`
`SearchString: String`
`):PChar;`

## Arguments

`Buf` |  | Buffer to search
`BufLen` |  | Length of the buffer.
`SelStart` |  | Start of selection.
`SelLength` |  | Length of selection.
`SearchString` |  | String to search for.
`Options` |  | Search options

## Function result

Position of the string

## Arguments

`Buf` |  | Buffer to search
`BufLen` |  | Length of the buffer.
`SelStart` |  | Start of selection.
`SelLength` |  | Length of selection.
`SearchString` |  | String to search for.

## Function result

Position of the string

## Description

SearchBuf searches the buffer Buf for the occurrence of SearchString. At must Buflen characters are searched, and the search is started at SelStart+SelLength. If a match is found, a pointer to the position of the match is returned. The parameter Options specifies how the search is conducted. It is a set of the following options:

Option | Effect
--- | ---
soDown | Searches forward, starting at the end of the selection. Default is searching up
soMatchCase | Observe case when searching. Default is to ignore case.
soWholeWord | Match only whole words. Default also returns parts of words

The standard constant WordDelimiters is used to mark the boundaries of words.

The SelStart parameter is zero based.

## Errors

Buflen must be the real length of the string, no checking on this is performed.

## See also

FindPart |  | Search for a substring in a string, using wildcards.
ExtractWord |  | Extract the N-th word out of a string.
ExtractWordPos |  | Extract a word from a string, and return the position where it was located in the string.
ExtractSubStr |  | Extract a word from a string, starting at a given position in the string.
IsWordPresent |  | Check for the presence of a word in a string.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.